Package com.independentsoft.office.odf.styles

# Enum Class DashStyle

java.lang.Object
java.lang.Enum<DashStyle>
com.independentsoft.office.odf.styles.DashStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<DashStyle>`, `Constable`

public enum DashStyle extends Enum<DashStyle>
Represents dash style.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  None.
  `RECTANGULAR`
  Rectangular dash style.
  `ROUND`
  Round dash style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DashStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DashStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECTANGULAR

    public static final DashStyle RECTANGULAR
    Rectangular dash style.

  - ### ROUND

    public static final DashStyle ROUND
    Round dash style.

  - ### NONE

    public static final DashStyle NONE
    None.

- ## Method Details

  - ### values

    public static DashStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DashStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null